import * as React from 'react';
import {BreadModel, makeColumn} from "@rx-suite/ui";
import {t} from "@lingui/macro";
import {LabLayoutStore} from "../../stores/LabLayoutStore";
import {LabLayoutForm} from "./LabLayoutForm";

export const LabLayoutBreadModel = () => {
    const columns = [
        makeColumn('name', t`Name`, "string"),
        makeColumn('component_count', t`Component Count`, "string")
    ];
    return (
        <BreadModel store={LabLayoutStore} Form={LabLayoutForm} columns={columns}/>
    )
};
